uses dvcrt, dvwin, dvtradut, dvinter;

var
    s, s2, fonemas: string;
    resp: string;
    intervalo: integer;
    veloc: integer;
    i, erro: integer;

begin
    writeln ('Tecle fim para terminar');

    if tradinic <> 0 then
        begin
            sintWriteln ('erro de inicializacao' );
            doneWincrt;
        end;

    paramFala (0, 0, 0, false, false);
    s2 := '';
    repeat
        readln (s);
        if s = '' then s := s2;
        s2 := s;
        compilaFonemas (s, fonemas);
        writeln (s, fonemas);
        falaFonemas (fonemas, true);
    until s = 'fim';

    while sintFalando do keypressed;
    tradFim;
    donewincrt;
end.
